org.omg.CORBA

## Class DynamicImplementation

- java.lang.Object
- - org.omg.CORBA.portable.ObjectImpl
  - - org.omg.CORBA.DynamicImplementation

- All Implemented Interfaces:
    Object
  Direct Known Subclasses:
    _BindingIteratorImplBase, _NamingContextImplBase

  Deprecated.
  org.omg.CORBA.DynamicImplementation

      @Deprecated
      public class DynamicImplementation
      extends ObjectImpl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicImplementation()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `_ids()` Deprecated. Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object.
    `void` | `invoke(ServerRequest request)` Deprecated. Deprecated by Portable Object Adapter

    - ### Methods inherited from class org.omg.CORBA.portable.ObjectImpl

      `_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicImplementation

          public DynamicImplementation()

      Deprecated.

  - ### Method Detail

    - #### invoke

          @Deprecated
          public void invoke(ServerRequest request)

      Deprecated. Deprecated by Portable Object Adapter

    - #### _ids

          public String[] _ids()

      Deprecated.
      Description copied from class: `ObjectImpl`
      Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object. For example, for a stub, this method returns information about all the interfaces supported by the stub.
      Specified by:
        `_ids` in class `ObjectImpl`
      Returns:
        the array of all repository identifiers supported by this `ObjectImpl` instance

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.